<template>
    <div class="account-pages mt-5 mb-5">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-8 col-lg-6 col-xl-5">
                    <div class="card bg-pattern">

                        <div class="card-body p-4">

                            <div class="text-center w-75 m-auto">
                                <div class="auth-logo">
                                    <router-link to="/" class="logo logo-dark text-center">
                                        <span class="logo-lg">
                                                <img src="assets/images/logo-dark.png" alt="" height="22">
                                            </span>
                                    </router-link>
                                    <router-link to="/" class="logo logo-light text-center">
                                        <span class="logo-lg">
                                                <img src="assets/images/logo-light.png" alt="" height="22">
                                            </span>
                                    </router-link>
                                </div>
                                <p class="text-muted mb-4 mt-3">Don't have an account? Create your account, it takes less than a minute</p>
                            </div>

                            <form>
                                <div class="form-group">
                                    <label for="emailaddress">Email address</label>
                                    <input class="form-control" name="email" type="email"
                                           id="emailaddress" required placeholder="Enter your email"
                                           v-model="email"
                                            />
                                </div>
                                <div class="form-group">
                                    <label for="password">Password</label>
                                    <input class="form-control" name="password" type="password" required id="password" placeholder="Enter your password"
                                        v-model="password"
                                    />
                                </div>
                                <div class="form-group">
                                    <label for="password_confirmation">Confirm password</label>
                                    <input class="form-control"
                                           name="password_confirmation" type="password" required id="password_confirmation" placeholder="Enter your password"
                                           v-model="confirm_password"
                                    />

                                </div>
                                <div class="form-group">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" id="checkbox-signup">
                                        <label class="custom-control-label" for="checkbox-signup">I accept <a href="javascript: void(0);" class="text-dark">Terms and Conditions</a></label>
                                    </div>
                                </div>
                                <div class="form-group mb-0 text-center">
                                    <button class="btn btn-success btn-block" type="submit" @click.prevent.default="register()"> Sign Up </button>
                                </div>

                            </form>

                            <div class="text-center">
                                <h5 class="mt-3 text-muted">Sign up using</h5>
                                <ul class="social-list list-inline mt-3 mb-0">
                                    <li class="list-inline-item">
                                        <a href="javascript: void(0);" class="social-list-item border-primary text-primary"><i class="mdi mdi-facebook"></i></a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="javascript: void(0);" class="social-list-item border-danger text-danger"><i class="mdi mdi-google"></i></a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="javascript: void(0);" class="social-list-item border-info text-info"><i class="mdi mdi-twitter"></i></a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="javascript: void(0);" class="social-list-item border-secondary text-secondary"><i class="mdi mdi-github"></i></a>
                                    </li>
                                </ul>
                            </div>

                        </div> <!-- end card-body -->
                    </div>
                    <!-- end card -->

                    <div class="row mt-3">
                        <div class="col-12 text-center">
                            <p class="text-white-50">Already have account?  <router-link to="/login" class="text-white ml-1"><b>Sign In</b></router-link></p>
                        </div> <!-- end col -->
                    </div>
                    <!-- end row -->

                </div> <!-- end col -->
            </div>
            <!-- end row -->
        </div>
        <!-- end container -->
    </div>
    <!-- end page -->
</template>

<script>
import axios from "axios";

export default {
    name: "login",
    data() {
        return {
            email: '',
            password: '',
            confirm_password: '',
            error: false,
            errors: {},
            success: false
        }
    },
    mounted() {
        let body = document.querySelector('body');
        body.classList.add('authentication-bg');
        body.classList.add('authentication-bg-pattern');
    },
    methods:{
        getFormValues(){
            alert(this.$event);
            this.$event.submit();
            /*this.formData['email'] = this.email;
            this.formData['password'] = this.password;
            this.formData['password_confirmation'] = this.confirm_password;
            axios.post('/api/v1/register', this.formData)
                .then(resp => {
                    alert(resp.data);
                    this.$router.push({name: 'CompanyCreate'});
                })
                .catch(Error => function(){
                    alert(Error)
                });*/
        },
        register(){
            var app = this
            this.$auth.register({
                data: {
                    email: app.email,
                    password: app.password,
                    password_confirmation: app.confirm_password
                },
                success: function () {
                    app.success = true
                },
                error: function (resp) {
                    app.error = true;
                    app.errors = resp.response.data.errors;
                },
                redirect: '/lk/company/create'
            });
        }
    }
}
</script>

<style scoped>

</style>
